<?php

declare(strict_types=1);

namespace Drupal\form_alterer\Plugin\FormAlterer;

use Drupal\Core\Plugin\PluginBase;

/**
 * Base class for form_alterer plugins.
 */
abstract class FormAltererPluginBase extends PluginBase implements FormAltererInterface {

  /**
   * {@inheritdoc}
   */
  public function __construct(array $configuration, $plugin_id, $definition) {
    parent::__construct($configuration, $plugin_id, $definition);
  }

  /**
   * {@inheritdoc}
   */
  public function getFormIds(): array {
    return $this->pluginDefinition['form_ids'];
  }

  /**
   * {@inheritdoc}
   */
  public function getGlobalStaticOverrides(): array {
    return $this->pluginDefinition['static_overrides'];
  }

  /**
   * {@inheritdoc}
   */
  public function getSpecificStaticOverrides(): array {
    return $this->pluginDefinition['specific_static_overrides'];
  }

}
